/*style for chat app*/

/*style for header*/

header {
    display: flex;
    width: 100%;
    height: 5rem;
    color: white;
    background-color: darkcyan;
    justify-content: center;
}

/*styling for the container (channel list and message board)*/

.container {
    width: 100%;
    height: 100vh;
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-template-rows: auto;
    border-top: 2px solid white; 
}

body {
    font-family: Helvetica;
}

/*Styling for channel list div*/

.channelList {
    background-color: darkcyan;
    color: white;
    height: 100%;
    width: 100%;
    border-right: 2px solid white;
    position: relative;
    overflow: scroll;
}

.channelList h2 {
    height: auto;
    text-align: center;
}

#addChannel {
    /* position: absolute;
    top: 10px; */
    text-align: right;
}

#channelNames {
    height: 70%;
}

#channelNames a {
    text-decoration: none;
    color: white;
    font-size: 1rem;
}

#addChannelButton {
    width: 100%;
    background-color: aliceblue;
}

#inputChannelName {
    width: 100%;
}

/*Styling for message board area*/

#channelName {
    font-size: 1.5rem;
    padding: 1rem 0rem 1rem 1rem;
}

#sendMessage {
    position: absolute;
    bottom: 0px;
    border-left: 1rem solid white;
    width: 100%;
    display: flex;
    flex-flow: wrap;
}

.channelMessages {
    grid-column: 2/4;
    grid-row: 1;
    color: black;
    width: 100%;
    height: 100%;
    position: relative;
    overflow: scroll;
}

#channelName {
    height: 10vh;
    background-color: darkcyan;
    color: white;
    padding-top: 2.5rem;
}

#messageInput {
    width: 100%;
}

#messageButton {
    background-color: aliceblue;
    width: 100%;
}

/*styling login page*/
#login{
    text-align: center;
}

#usernameSubmit a{
    text-decoration: none;
    color: white;
}
#usernameSubmit{
    background-color: darkcyan;
}